warnings {base} | R Documentation

## Print Warning Messages

### Description

`warnings` prints the top-level variable `last.warning` in a pleasing form.

### Usage

    warnings(...)

### Arguments

`...` | arguments to be passed to `cat`.

### Details

See the decription of `options("warn")` for the circumstances under which there is a `last.warning` variable and `warnings()` is used. In essence this is if `options(warn = 0)` and `warning` has been called at least once.

It is possible that `last.warning` refers to the last recorded warning (possibly even in a previous session with a saved workspace), and not to the last warning, for example if `options(warn)` has been changed or if a catastrophic error occurred.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`warning`.

### Examples

    ## NB this example is intended to be pasted in,
    ##    rather than run by example()
    ow <- options("warn")
    for(w in -1:1) {
       options(warn = w); cat("\n warn =",w,"\n")
       for(i in 1:3) { cat(i,"..\n"); m <- matrix(1:7, 3,4) }
    }
    warnings()
    options(ow) # reset

[Package base version 2.2.1 Index]